# AUTOGENERATED! DO NOT EDIT! File to edit: 02_models.ipynb (unless otherwise specified).

__all__ = ['vgg', 'alexnet', 'squeezenet', 'resnet', 'densenet', 'xresnet', 'models']

# Cell
# Supported pretrained models (name, num layers)

vgg = [ ('vgg11_bn', 44),
        ('vgg13_bn', 50),
        ('vgg16_bn', 59),
        ('vgg19_bn', 68)]

alexnet = [('alexnet', 28)]

squeezenet = [ ('squeezenet1_0', 76),
               ('squeezenet1_1', 76)]

resnet = [ ('resnet18', 79),
           ('resnet34', 127),
           ('resnet50', 162),
           ('resnet101', 298),
           ('resnet151', 434)]

densenet = [ ('densenet121', 445),
             ('densenet161', 585),
             ('densenet169', 613),
             ('densenet201', 725)]

xresnet = [ ('xresnet101', 541),
            ('xresnet152', 796),
            ('xresnet18', 131),
            ('xresnet18_deep', 160),
            ('xresnet18_deeper', 164),
            ('xresnet34', 219),
            ('xresnet34_deep', 248),
            ('xresnet34_deeper', 274),
            ('xresnet50', 286),
            ('xresnet50_deep', 323),
            ('xresnet50_deeper', 357)]


# Cell
# List of dicts containing model type and list of (model name, num layer) tuples
models = [{'vgg': vgg},
          {'alexnet': alexnet},
          {'squeezenet': squeezenet},
          {'resnet': resnet},
          {'densenet': densenet},
          {'xresnet': xresnet}]